Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class FindBinding

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request
            |
            +--weblogic.uddi.client.structures.request.FindRequest
                  |
                  +--weblogic.uddi.client.structures.request.FindBinding

public class FindBinding
extends FindRequest

The find_binding message is used to search for binding template structures contained in the business service structure specifed by the service key. It searches using tModel a bag that contains tModelKeys.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.request.FindRequest
`findQualifiers, maxRows`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`FindBinding()` Class Constructor

Method Summary
`java.lang.String` | `getServiceKey()` Gets the value of serviceKey
`TModelBag` | `getTModelBag()` Get the value of tModelBag
`void` | `setServiceKey(java.lang.String value)` Sets the value of serviceKey
`void` | `setTModelBag(TModelBag value)` Sets the value of tModelBag

Methods inherited from class weblogic.uddi.client.structures.request.FindRequest
`getFindQualifiers, getMaxRows, setFindQualifiers, setMaxRows`

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindBinding

    public FindBinding()

  Class Constructor

Method Detail

### setServiceKey

    public void setServiceKey(java.lang.String value)

  Sets the value of serviceKey

  Parameters:
    `value` - Value of serviceKey

### getServiceKey

    public java.lang.String getServiceKey()

  Gets the value of serviceKey

  Returns:
    value of serviceKey

### setTModelBag

    public void setTModelBag(TModelBag value)

  Sets the value of tModelBag

  Parameters:
    `value` - Value of tModelBag

### getTModelBag

    public TModelBag getTModelBag()

  Get the value of tModelBag

  Returns:
    Value of tModelBag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference